: Class JpegCommentHandler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.jpeg
Class JpegCommentHandler

    java.lang.Object
      |
      +--org.w3c.tools.jpeg.JpegCommentHandler

public class JpegCommentHandler
extends java.lang.Object

Field Summary
`protected java.io.InputStream` | `in`
`protected java.io.File` | `jpegfile`

Constructor Summary
`JpegCommentHandler(java.io.File jpegfile)` create it out of a File
`JpegCommentHandler(java.io.InputStream in)` create it from an input stream

Method Summary
`java.lang.String` | `getComment()`
`java.io.Writer` | `getOutputStreamWriter(java.io.OutputStream out)` Get this image writer
`java.io.Writer` | `getOutputStreamWriter(java.io.OutputStream out, java.lang.String enc)` Get this image writer
`java.io.Reader` | `getReader()` Get this image reader

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jpegfile

    protected java.io.File jpegfile

### in

    protected java.io.InputStream in

Constructor Detail

### JpegCommentHandler

    public JpegCommentHandler(java.io.File jpegfile)
                       throws java.io.FileNotFoundException

  create it out of a File

### JpegCommentHandler

    public JpegCommentHandler(java.io.InputStream in)

  create it from an input stream

Method Detail

### getReader

    public java.io.Reader getReader()
                             throws java.io.IOException,
                                    JpegException

  Get this image reader

### getComment

    public java.lang.String getComment()
                                throws java.io.IOException,
                                       JpegException

### getOutputStreamWriter

    public java.io.Writer getOutputStreamWriter(java.io.OutputStream out,
                                                java.lang.String enc)
                                         throws java.io.UnsupportedEncodingException

  Get this image writer

### getOutputStreamWriter

    public java.io.Writer getOutputStreamWriter(java.io.OutputStream out)

  Get this image writer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD